No se puede abrir el proyecto Xcode en Xcode 4.5 después de abrirlo en Xcode 5

Estoy trabajando con otro progtwigdor de iOS juntos en un proyecto. Otro progtwigdor instaló Xcode 5 en su computadora y abrió el proyecto. Después de que me envió el proyecto, no puedo abrirlo en mi viejo Xcode 4.5. Primero tuve el siguiente error: no se pudo abrir el documento "MainStoryboard.storyboard". No se pudo leer el file. Utiliza una versión más nueva de Xcode. Considere cambiar el objective de desarrollo del documento para preservar la compatibilidad.

Luego abrí el storyboard en código fuente y cambié la versión de 3.0 a 2.0 (y más tarde a 1.0). Después de eso, intenté abrir el storyboard en Interface Builder y obtuve el siguiente error:

El documento "MainStoryboard.storyboard" no se pudo abrir. Error al desarchivar el elemento denominado "tableViewCellContentView". Edite este documento con una versión más nueva de Xcode.

¿Tienes alguna idea o sugerencia?

introduzca la descripción de la imagen aquí

Esto funciona para mí con XCode 4.5.1:

Abra el file de storyboard como código fuente, cambie la versión de 3.0 a 2.0 y reemplace todas las apariciones de 'tableViewCellContentView' con 'view'

Puede abrir el proyecto en la versión más reciente de XCode y luego degradar el Storyboard para ejecutarlo en XCode 4.5. He intentado esto y me ha funcionado. Los pasos se describen aquí para mayor claridad:

  1. Abre el guión gráfico
  2. Abra la label Identidad y Tipo en su vista correcta de Xcode.
  3. Establezca el valor de Desarrollo en versión de documento en "Xcode 4.2" (mi valor pnetworkingeterminado es "Versión pnetworkingeterminada (Xcode 4.1)".
  4. Cambie el valor de Implementación desde Project SDK Version (iOS 5.0) a iOS 5.0, luego vuelva a Project SDK Version (iOS 5.0)

Esto me pasó a mí también. Resolví esto de esta manera:

  • Abra su proyecto en xcode 4.5
  • Seleccione el xib (FormViewController.xib, en su caso).
  • Seleccione el Inspector de files.
  • En el set de documentos del Generador de interfaces Implementación en iOS 6.0 (Esto podría configurarse en iOS7 +).

Espera que esto pueda resolver tu problema. Resolvió la mía …